# standard imports
import logging
import os

# local imports
from cic import Proof
from cic.meta import Meta
from cic.attachment import Attachment
from cic.network import Network
logg = logging.getLogger(__name__)


def process_args(argparser):
    argparser.add_argument('--target', action='append', type=str, help='initialize network specification file with target')
    argparser.add_argument('directory', help='directory to initialize')


def validate_args(args):
    pass


def execute(config, eargs):
    os.makedirs(eargs.directory)

    cp = Proof(eargs.directory)
    cm = Meta(eargs.directory)
    ca = Attachment(eargs.directory)
    cn = Network(eargs.directory, targets=eargs.target)

    cp.start()
    cm.start()
    ca.start()
    cn.start()
