# standard imports
import os
import json
import logging

# local imports
from .base import *

logg = logging.getLogger(__name__)


class Proof(Data):

    def __init__(self, path='.'):
        super(Proof, self).__init__()
        self.namespace = 'ge'
        self.description = None
        self.path = path
        self.proof_path = os.path.join(self.path, 'proof.json')
                

    def load(self):
        super(Proof, self).load()

        f = open(self.proof_path, 'r')
        o = json.load(f)
        f.close()

        self.set_version(o['version'])
        self.description = o['description']
        self.namespace = o['namespace']

        self.inited = True


    def start(self):
        super(Proof, self).start()

        proof_template_file_path = os.path.join(data_dir, 'proof_template_v{}.json'.format(self.version()))
        
        f = open(proof_template_file_path)
        o = json.load(f)
        f.close() 
       
        f = open(self.proof_path, 'w')
        json.dump(o, f)
        f.close()


    
    def __str__(self):
        return """description: {}
""".format(self.description)
